{
  python3Packages,
  gallery-dl,
  ffmpeg,
  callPackage,
  ...
}:
let
  pname = "download";
  version = "2.6";
in
python3Packages.buildPythonApplication {
  inherit pname version;

  src = builtins.path {
    path = ../src/download/.;
    name = "${pname}-${version}";
  };

  pyproject = true;

  build-system = [ python3Packages.setuptools ];

  dependencies =
    [
      ffmpeg
      gallery-dl
      # (callPackage ../pkgs_pr/webcomix.nix { })
    ]
    ++ builtins.attrValues {
      inherit (python3Packages)
        pyyaml
        types-pyyaml
        yt-dlp
        ;
    };
}
